apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.buildToolsVersion
    defaultConfig {
        //applicationId "com.frame.rv"

        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode 1
        versionName "1.0"


        javaCompileOptions {
            annotationProcessorOptions {
                includeCompileClasspath = true
            }
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        repositories {
            flatDir {
                dirs 'libs' //this way we can find the .aar file in libs folder
            }
        }
    }
    sourceSets {
        main {
            jniLibs.srcDir 'libs'
        }
    }

    dependencies {
        api fileTree(include: ['*.jar'], dir: 'libs')
        androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {
            exclude group: 'com.android.support', module: 'support-annotations'
        })
        api "com.android.support:support-v4:$rootProject.ext.supportVersion"
        api "com.android.support:appcompat-v7:$rootProject.ext.supportVersion"
        api "com.android.support:design:$rootProject.ext.supportVersion"
        api "com.android.support:recyclerview-v7:$rootProject.ext.supportVersion"
        api "com.android.support:cardview-v7:$rootProject.ext.supportVersion"
        api 'com.android.support.constraint:constraint-layout:1.1.3'

        api project(path: ':MyFrame')
        api project(path: ':Banner')
        //api project(path: ':WXPay')
        api "com.tencent.mm.opensdk:wechat-sdk-android-with-mta:$rootProject.ext.wechatPayVersion"

        // 支付宝 SDK AAR 包所需的配置
        api files('libs/alipaySdk-15.6.5-20190718211148.aar')

        //适配器
        api "com.github.CymChad:BaseRecyclerViewAdapterHelper:$rootProject.ext.quickAdapterVersion"

        //https://github.com/Justson/AgentWeb
        api 'com.just.agentweb:agentweb:4.0.3-beta'
        //api 'com.just.agentweb:filechooser:4.0.3-beta'
        //api 'com.just.agentweb:download:4.0.3-beta'


        //百度定位
        api files('libs/BaiduLBS_Android.jar')
        //bugly
        api files('libs/bugly_crash_release.jar')
        //友盟
        api files('libs/umeng-common-2.0.2.jar')
        api files('libs/umeng-share-core-6.9.4.jar')
        api files('libs/umeng-share-QQ-simplify-6.9.4.jar')
        api files('libs/umeng-share-wechat-simplify-6.9.4.jar')
        api files('libs/umeng-shareboard-widget-6.9.4.jar')
        api files('libs/umeng-sharetool-6.9.4.jar')
    }
}
